Page 1 of 1

Problem installing php-mbstring

Posted: 2015/01/31 22:59:58
by rtcary
My Centos is 2.6.18-499.el5

php: 5.3.3

When I try to install php-mbstring, I get the following error:

Resolving Dependencies
--> Running transaction check
---> Package php-mbstring.i386 0:5.1.6-45.el5_11 set to be updated
--> Processing Dependency: php-common = 5.1.6-45.el5_11 for package: php-mbstring
--> Running transaction check
---> Package php-common.i386 0:5.1.6-45.el5_11 set to be updated
--> Processing Conflict: php53-common conflicts php-common
--> Finished Dependency Resolution
php53-common-5.3.3-26.el5_11.i386 from installed has depsolving problems
--> php53-common conflicts with php-common
--> Running transaction check
---> Package php-common.i386 0:5.1.6-45.el5_11 set to be updated
---> Package php-mbstring.i386 0:5.1.6-45.el5_11 set to be updated
--> Processing Conflict: php53-common conflicts php-common
--> Finished Dependency Resolution
php53-common-5.3.3-26.el5_11.i386 from installed has depsolving problems
--> php53-common conflicts with php-common
Skip-broken could not solve problems
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest

"yum update php" indicates that there are no updates.

"yum -y update" has installed all updates.

I am not a Linux guru (just run my Centos server for testing my web development applications), so my experience in how to deal with this is limited.

Thank you for any suggestions...

Todd

Re: Problem installing php-mbstring

Posted: 2015/01/31 23:14:01
by avij
Try installing php53-mbstring instead.

(edit: moved this topic to a CentOS 5 subforum, as you seem to be running C5 instead of C6)

Re: Problem installing php-mbstring

Posted: 2015/01/31 23:17:50
by rtcary
Genius!! Do I have to enable mbstring?

Todd

Re: Problem installing php-mbstring

Posted: 2015/01/31 23:22:37
by rtcary
Sorry...I spoke too soon. It is installed.

Thank you,

Todd